Bug 145052 - CAN-2005-0064 xpdf buffer overflow
CAN-2005-0064 xpdf buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xpdf (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=important,embargoed=20050118
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-13 17:40 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 09:08:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-13 17:40:43 EST
*** This bug has been split off bug 145049 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.13
17:30 -------

iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch


The iDEFENSE advisory is attachment 109745 [details]
Comment 1 Josh Bressers 2005-01-14 07:17:01 EST
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.
Comment 2 Mark J. Cox (Product Security) 2005-01-19 05:25:38 EST
Now public, see URL for patch, removing embargo
Comment 3 Ngo Than 2005-01-20 07:14:55 EST
it's now fixed in xpdf-3.00-11.3
Comment 4 Ngo Than 2005-01-20 09:08:53 EST
it's now fixed in xpdf-3.00-11.3
Comment 5 Mark J. Cox (Product Security) 2005-02-15 04:27:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-034.html

Note You need to log in before you can comment on or make changes to this bug.